import Panel from "./pages/Panel";
import Header from "./panel.components/Header";
import HeaderOption from "./panel.components/HeaderOption";
import Sidebar from "./panel.components/Sidebar";
import SidebarOption from "./panel.components/SidebarOption";
import Main from "./panel.components/Main";
import CrudHeader from "./crud.components/Header";
import Table from "./crud.components/Table";
import Form from "./crud.components/Form";
import { InputFile, InputPassword, InputRadio, InputSelect, InputText, InputTextarea } from "./crud.components/Input";
import Loading from "./components/Loading";
import usePanel from "./hooks/usePanel";
import usePagination from "./hooks/usePagination";
declare const _default: {
    PanelContainer: typeof Panel;
    PanelHeader: typeof Header;
    PanelHeaderOption: typeof HeaderOption;
    PanelSidebar: typeof Sidebar;
    PanelSidebarOption: typeof SidebarOption;
    PanelMain: typeof Main;
    CrudHeader: typeof CrudHeader;
    CrudTable: typeof Table;
    CrudForm: typeof Form;
    InputText: typeof InputText;
    InputTextarea: typeof InputTextarea;
    InputRadio: typeof InputRadio;
    InputPassword: typeof InputPassword;
    InputSelect: typeof InputSelect;
    InputFile: typeof InputFile;
    Loading: typeof Loading;
    usePanel: typeof usePanel;
    usePagination: typeof usePagination;
};
export default _default;
